Package com.ocient.jdbc.proto

## Class PlanProtocol.OffsetOperator.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.OffsetOperator.Builder>
      - - com.ocient.jdbc.proto.PlanProtocol.OffsetOperator.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `PlanProtocol.OffsetOperatorOrBuilder`, `Cloneable`

Enclosing class:
  PlanProtocol.OffsetOperator

    public static final class PlanProtocol.OffsetOperator.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.OffsetOperator.Builder>
    implements PlanProtocol.OffsetOperatorOrBuilder

    Skip the first n rows

Protobuf type `xg.db.sqlPlans.OffsetOperator`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`PlanProtocol.OffsetOperator.Builder` `addAllGroupingKeys​(Iterable<String> values)` And these are the grouping keys
`PlanProtocol.OffsetOperator.Builder` `addGroupingKeys​(String value)` And these are the grouping keys
`PlanProtocol.OffsetOperator.Builder` `addGroupingKeysBytes​(com.google.protobuf.ByteString value)` And these are the grouping keys
`PlanProtocol.OffsetOperator.Builder` `addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`PlanProtocol.OffsetOperator` `build()`
`PlanProtocol.OffsetOperator` `buildPartial()`
`PlanProtocol.OffsetOperator.Builder` `clear()`
`PlanProtocol.OffsetOperator.Builder` `clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)`
`PlanProtocol.OffsetOperator.Builder` `clearGrouped()` If true, this is a grouped limit as is used by correlated subqueries
`PlanProtocol.OffsetOperator.Builder` `clearGroupingKeys()` And these are the grouping keys
`PlanProtocol.OffsetOperator.Builder` `clearOffsetVal()` `uint64 offsetVal = 1;`
`PlanProtocol.OffsetOperator.Builder` `clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`PlanProtocol.OffsetOperator.Builder` `clone()`
`PlanProtocol.OffsetOperator` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`boolean` `getGrouped()` If true, this is a grouped limit as is used by correlated subqueries
`String` `getGroupingKeys​(int index)` And these are the grouping keys
`com.google.protobuf.ByteString` `getGroupingKeysBytes​(int index)` And these are the grouping keys
`int` `getGroupingKeysCount()` And these are the grouping keys
`com.google.protobuf.ProtocolStringList` `getGroupingKeysList()` And these are the grouping keys
`long` `getOffsetVal()` `uint64 offsetVal = 1;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`PlanProtocol.OffsetOperator.Builder` `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`PlanProtocol.OffsetOperator.Builder` `mergeFrom​(com.google.protobuf.Message other)`
`PlanProtocol.OffsetOperator.Builder` `mergeFrom​(PlanProtocol.OffsetOperator other)`
`PlanProtocol.OffsetOperator.Builder` `mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`
`PlanProtocol.OffsetOperator.Builder` `setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`PlanProtocol.OffsetOperator.Builder` `setGrouped​(boolean value)` If true, this is a grouped limit as is used by correlated subqueries
`PlanProtocol.OffsetOperator.Builder` `setGroupingKeys​(int index, String value)` And these are the grouping keys
`PlanProtocol.OffsetOperator.Builder` `setOffsetVal​(long value)` `uint64 offsetVal = 1;`
`PlanProtocol.OffsetOperator.Builder` `setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`PlanProtocol.OffsetOperator.Builder` `setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.OffsetOperator.Builder>`

#### clear

    public PlanProtocol.OffsetOperator.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.OffsetOperator.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.OffsetOperator.Builder>`

#### getDefaultInstanceForType

    public PlanProtocol.OffsetOperator getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public PlanProtocol.OffsetOperator build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public PlanProtocol.OffsetOperator buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public PlanProtocol.OffsetOperator.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.OffsetOperator.Builder>`

#### setField

    public PlanProtocol.OffsetOperator.Builder setField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                        Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.OffsetOperator.Builder>`

#### clearField

    public PlanProtocol.OffsetOperator.Builder clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.OffsetOperator.Builder>`

#### clearOneof

    public PlanProtocol.OffsetOperator.Builder clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.OffsetOperator.Builder>`

#### setRepeatedField

    public PlanProtocol.OffsetOperator.Builder setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                int index,
                                                                Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.OffsetOperator.Builder>`

#### addRepeatedField

    public PlanProtocol.OffsetOperator.Builder addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.OffsetOperator.Builder>`

#### mergeFrom

    public PlanProtocol.OffsetOperator.Builder mergeFrom​(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<PlanProtocol.OffsetOperator.Builder>`

#### mergeFrom

    public PlanProtocol.OffsetOperator.Builder mergeFrom​(PlanProtocol.OffsetOperator other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.OffsetOperator.Builder>`

#### mergeFrom

    public PlanProtocol.OffsetOperator.Builder mergeFrom​(com.google.protobuf.CodedInputStream input,
                                                         com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                  throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<PlanProtocol.OffsetOperator.Builder>`
Throws:
  `IOException`

#### getOffsetVal

    public long getOffsetVal()

`uint64 offsetVal = 1;`

Specified by:
  `getOffsetVal` in interface `PlanProtocol.OffsetOperatorOrBuilder`
Returns:
  The offsetVal.

#### setOffsetVal

    public PlanProtocol.OffsetOperator.Builder setOffsetVal​(long value)

`uint64 offsetVal = 1;`

Parameters:
  `value` - The offsetVal to set.
Returns:
  This builder for chaining.

#### clearOffsetVal

    public PlanProtocol.OffsetOperator.Builder clearOffsetVal()

`uint64 offsetVal = 1;`

Returns:
  This builder for chaining.

#### getGrouped

    public boolean getGrouped()

    If true, this is a grouped limit as is used by correlated subqueries

`bool grouped = 2;`

Specified by:
  `getGrouped` in interface `PlanProtocol.OffsetOperatorOrBuilder`
Returns:
  The grouped.

#### setGrouped

    public PlanProtocol.OffsetOperator.Builder setGrouped​(boolean value)

    If true, this is a grouped limit as is used by correlated subqueries

`bool grouped = 2;`

Parameters:
  `value` - The grouped to set.
Returns:
  This builder for chaining.

#### clearGrouped

    public PlanProtocol.OffsetOperator.Builder clearGrouped()

    If true, this is a grouped limit as is used by correlated subqueries

`bool grouped = 2;`

Returns:
  This builder for chaining.

#### getGroupingKeysList

    public com.google.protobuf.ProtocolStringList getGroupingKeysList()

    And these are the grouping keys

`repeated string groupingKeys = 3;`

Specified by:
  `getGroupingKeysList` in interface `PlanProtocol.OffsetOperatorOrBuilder`
Returns:
  A list containing the groupingKeys.

#### getGroupingKeysCount

    public int getGroupingKeysCount()

    And these are the grouping keys

`repeated string groupingKeys = 3;`

Specified by:
  `getGroupingKeysCount` in interface `PlanProtocol.OffsetOperatorOrBuilder`
Returns:
  The count of groupingKeys.

#### getGroupingKeys

    public String getGroupingKeys​(int index)

    And these are the grouping keys

`repeated string groupingKeys = 3;`

Specified by:
  `getGroupingKeys` in interface `PlanProtocol.OffsetOperatorOrBuilder`
Parameters:
  `index` - The index of the element to return.
Returns:
  The groupingKeys at the given index.

#### getGroupingKeysBytes

    public com.google.protobuf.ByteString getGroupingKeysBytes​(int index)

    And these are the grouping keys

`repeated string groupingKeys = 3;`

Specified by:
  `getGroupingKeysBytes` in interface `PlanProtocol.OffsetOperatorOrBuilder`
Parameters:
  `index` - The index of the value to return.
Returns:
  The bytes of the groupingKeys at the given index.

#### setGroupingKeys

    public PlanProtocol.OffsetOperator.Builder setGroupingKeys​(int index,
                                                               String value)

    And these are the grouping keys

`repeated string groupingKeys = 3;`

Parameters:
  `index` - The index to set the value at.
  `value` - The groupingKeys to set.
Returns:
  This builder for chaining.

#### addGroupingKeys

    public PlanProtocol.OffsetOperator.Builder addGroupingKeys​(String value)

    And these are the grouping keys

`repeated string groupingKeys = 3;`

Parameters:
  `value` - The groupingKeys to add.
Returns:
  This builder for chaining.

#### addAllGroupingKeys

    public PlanProtocol.OffsetOperator.Builder addAllGroupingKeys​(Iterable<String> values)

    And these are the grouping keys

`repeated string groupingKeys = 3;`

Parameters:
  `values` - The groupingKeys to add.
Returns:
  This builder for chaining.

#### clearGroupingKeys

    public PlanProtocol.OffsetOperator.Builder clearGroupingKeys()

    And these are the grouping keys

`repeated string groupingKeys = 3;`

Returns:
  This builder for chaining.

#### addGroupingKeysBytes

    public PlanProtocol.OffsetOperator.Builder addGroupingKeysBytes​(com.google.protobuf.ByteString value)

    And these are the grouping keys

`repeated string groupingKeys = 3;`

Parameters:
  `value` - The bytes of the groupingKeys to add.
Returns:
  This builder for chaining.

#### setUnknownFields

    public final PlanProtocol.OffsetOperator.Builder setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.OffsetOperator.Builder>`

#### mergeUnknownFields

    public final PlanProtocol.OffsetOperator.Builder mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.OffsetOperator.Builder>`